如何在Xcode 7 Beta 5中安装iOS 7及之后的模拟器?

我想在iOS 7及之后testing我的应用程序。 在这些操作系统中testing我的应用程序的唯一方法是使用模拟器。 但是,升级我的Xcode到7 Beta后,我看到了iOS 8.1,8.2,8.3,但我得到一个错误,他们没有find。 iOS7是不存在的。 有没有办法在Xcode 7 beta 5中安装旧的操作系统模拟器?

在这里输入图像说明

在这里输入图像说明

在这里输入图像说明

3 Solutions collect form web for “如何在Xcode 7 Beta 5中安装iOS 7及之后的模拟器?”

较旧的模拟器运行时可以通过Xcode的偏好下载。

转到Xcode – >首选项 – >下载,查看兼容的遗留模拟器运行时的列表。

El Capitan支持iOS 8.1和更新的运行时。

优胜美地支持iOS 7.1和更新的运行时。

Xcode发行说明中提到了一个已知的问题,它可以阻止iOS 7.1模拟器运行时在Xcode 7中运行。

因此,您目前不能在Xcode 7中使用iOS 7.1模拟器运行时。

点击设备select标签,然后点击更多的模拟器,然后你可以从新的打开的窗口中select和安装ios模拟器。

你可以下载它。 或者如果您已经在旧的Xcode版本中,那么您必须从中进行pipe理

窗口>设备

在这里输入图像说明

在这里输入图像说明

  • 有没有办法在Xcode 7中的Swift XCTest UI中的testing之间重置应用程序?
  • CGContextSaveGState:无效上下文0x0(Xcode 7 GM)
  • “项目名称”是用优化编译的 - 步进可能performance怪异; variables可能不可用
  • 使用Objective C在iOS 9中将状态栏文本颜色更改为光照
  • Xcode 7:忽略存储库中的.xcscmblueprint?
  • 时间戳事件匹配错误:无法find匹配的元素
  • FBSOpenApplicationErrorDomain错误1
  • iOS 9初始屏幕是黑色的
  • 使用Xcode 7,iOS 9运行项目时,“应用程序窗口期望在应用程序启动结束时具有根视图控制器”错误
  • 排除Xcode 7中覆盖统计信息中的代码
  • 如何陷阱UIViewAlertForUnsatisfiableConstraints?